Subject: [MIPSHOP-MIH-DT] transport requirements on mobility

From: Sam Xia <[email-masked]>
Date: Fri, 10 Aug 2007 16:06:20 +0800

hi .21guys(subir and carlos):
  
 I have some questions about how to transport MIH signal when mobility
occurs.  Before discussing the actual issues, let me summary a simple
scenario.

                           ----------
             _____  | PoS1  |                in the network1
     ___ /            ------------
---/---           |
|MN|            |      handover from PoS1 to PoS2
------            v
     \__________
                           ---\-----
                           |PoS2|                   in the network2
                          -----------

In the above scenario, MN has established a connection with PoS1 in
network1; and it is going to move into network2 wherein there is a candidate
PoS2. Network1 and network2 are heterogeneous networks; thus it is very
possible that there are different IP configurations for network1 and
network2, such as network prefix, subnet mask, dns etc.

My assumption is :  MN has IP address1 when it is in the network1,
communicating with PoS1;
                                    MN has IP address2 when it is in the
network2, communitcating with PoS2;

My quesiton is:
Before handover, MN has registered the local MIHF with that in PoS1; After
handover, MN has to Derigister the local MIHF with that in PoS1. How can MN
do this under condition that IP configureations of MN have changed? 

In fact, there are a lot of similar issues, such as ho-commit/ho-complete
commands etc.

 Best Regards, Sam Xia

_______________________________________________
MIPSHOP-MIH-DT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt

---

From: Telemaco Melia <[email-masked]>
Date: Fri, 10 Aug 2007 17:27:54 +0200

If I understand your question, should not the MIHFID solves the issue?
MIHF should just keep address@PoS1 and address@ PoS2 for a while.

Right?
tele

-- 
Dr. Telemaco Melia			[email-masked]
Senior Research Staff Member		Tel: +49 (0) 6221 4342- 142
NEC Europe Ltd.
NEC Laboratories Europe
Network Division			
Kurfürsten-Anlage 36		
69115 Heidelberg
GERMANY	  

NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014

---

From: Subir Das <[email-masked]>
Date: Mon, 13 Aug 2007 20:56:38 -0400

Sam,
I would like to understand the issues a little bit more. So please let 
us know
the actual issues. Also why do think MN needs to deregister with PoS1?

regards,
-Subir

---

From: Sam Xia <[email-masked]>
Date: Tue, 14 Aug 2007 09:34:51 +0800

Subir,

To deregister MN with PoS1 is a kind of implementation issue.  Maybe we need
this or not.  But we are dessigning a transport protocol for Mobility of
Service,  and i think that the transport protocol should be sophisticated. I
don't think that it is good that we have registering procedure, but without
deregistering procedure explicitly.  (maybe you think we can use implicit
deregistering procedure).

The most important reason that MN needs to deregister with PoS1 is to
release occupied resource at PoS1 on time. The second is that we should
think of accounting issue for MN.

 Best Regards, Sam Xia 

> -----Original Message-----
> From: Subir Das [mailto:[email-masked]] 
> Sent: Tuesday, August 14, 2007 8:57 AM
> To: Telemaco Melia
> Cc: Sam Xia; [email-masked]
> Subject: Re: [MIPSHOP-MIH-DT] transport requirements on mobility
> 
> Sam,
> I would like to understand the issues a little bit more. So 
> please let us know the actual issues. Also why do think MN 
> needs to deregister with PoS1?
> 
> regards,
> -Subir
> 
> 
> Telemaco Melia wrote:
> >>    I have some questions about how to transport MIH signal when 
> >> mobility occurs.  Before discussing the actual issues, let 
> me summary 
> >> a simple scenario.
> >>
> >>                            ----------
> >> network1; and it is going to move into network2 wherein there is a 
> >> candidate PoS2. Network1 and network2 are heterogeneous networks; 
> >> thus it is very possible that there are different IP 
> configurations 
> >> for network1 and network2, such as network prefix, subnet 
> mask, dns 
> >> etc.
> >>
> >>                                     MN has IP address2 
> when it is in 
> >> the network2, communitcating with PoS2;
> >>
> >> My quesiton is:
> >> Before handover, MN has registered the local MIHF with 
> that in PoS1; 
> >> After handover, MN has to Derigister the local MIHF with that in 
> >> PoS1. How can MN do this under condition that IP 
> configureations of 
> >> MN have changed?
> >> In fact, there are a lot of similar issues, such as 
> >> ho-commit/ho-complete commands etc.
> >>
> >>
> >>
> >>
> >>  Best Regards, Sam Xia
> >>
> >>
> >>

---

From: Subir Das <[email-masked]>
Date: Tue, 14 Aug 2007 10:35:12 -0400

Sam,
I am not understanding how is it related to transport design? I am not 
saying that we do not
need de-registration procedure. Registration and de-registration, both 
procedures are
defined in the specification. We are discussing higher layer transport, 
so what is the problem
in sending a de-registration message if  MN remembers the previous PoS1? 
How MN does
it is an implementation issue as you said.

regards,
-Subir

Sam Xia wrote:
>>> If I understand your question, should not the MIHFID solves 
>>>       
>> the issue?
>>     
>>>> In the above scenario, MN has established a connection 
>>>>         
>> with PoS1 in 
>>

---

From: Sam Xia <[email-masked]>
Date: Wed, 15 Aug 2007 09:18:13 +0800

Hi Subir,

How to keep the session (transport layer connect) continuity is the key
aspect for mobility designing.  AFAI, MSTP session connection is established
based on IP address. But the IP address of MN after handover is different
than that of MN before handover. If we do nothing while handover, I am sure
that the MSTP session between MN and previous PoS  must break no matter
which trapsort protocol is used(TCP or UDP).  How can the MN send
De-Regisger message to the previous PoS based on a broken session connection
even though MN knows the IP address of previous PoS.
So, What can we do?That's just what i want to say.

Of course, how to keep the MSTP session conitnuity is a kind of
implementation issue.  and we have a lot of choices. Maybe we can do
something useful on transport part to meet with mobility requirements, or we
can resort to IP layer protocol else. Or keeping MSTP session continuity is
not necessary; the MIHF can do something useful to meet with mobitliy
requirements by use of new transport connection with previous PoS at new
point of attachment.

Reasonable?

 Best Regards, Sam Xia 

> Sent: Tuesday, August 14, 2007 10:35 PM
> To: Sam Xia
> Cc: 'Telemaco Melia'; [email-masked]
> I am not understanding how is it related to transport design? 
> I am not saying that we do not need de-registration 
> procedure. Registration and de-registration, both procedures 
> are defined in the specification. We are discussing higher 
> layer transport, so what is the problem in sending a 
> de-registration message if  MN remembers the previous PoS1? 
> How MN does
> > To deregister MN with PoS1 is a kind of implementation 
> issue.  Maybe 
> > we need this or not.  But we are dessigning a transport 
> protocol for 
> > Mobility of Service,  and i think that the transport 
> protocol should 
> > be sophisticated. I don't think that it is good that we have 
> > registering procedure, but without deregistering procedure 
> explicitly.  
> > (maybe you think we can use implicit deregistering procedure).
> >
> > release occupied resource at PoS1 on time. The second is that we 
> > should think of accounting issue for MN.
> >
> >  Best Regards, Sam Xia
> >
> >   
> >> I would like to understand the issues a little bit more. So please 
> >> let us know the actual issues. Also why do think MN needs to 
> >> deregister with PoS1?
> >>
> >> regards,
> >> -Subir
> >>
> >>
> >> Telemaco Melia wrote:
> >>     
> >>>>                            |PoS2|                   in 
> the network2

---

From: Sam Xia <[email-masked]>
Date: Wed, 15 Aug 2007 09:21:25 +0800

> de-registration message if  MN remembers the previous PoS1? 

Do you mean that we can send register message and deregister message by use
of different transport connection?

---

From: Subir Das <[email-masked]>
Date: Wed, 15 Aug 2007 10:46:27 -0400

Sam,
Ok,  but is not that what an underline mobility protocol should do? For 
example, if MN uses
Mobile IP, do you see any problem? 

regards,
-Subir

Sam Xia wrote:
>>> The most important reason that MN needs to deregister with 
>>>       
>> PoS1 is to 
>>     
>>>>>> network1; and it is going to move into network2 wherein 
>>>>>>             
>> there is a 
>>     
>>>>>> candidate PoS2. Network1 and network2 are heterogeneous 
>>>>>>             
>> networks; 
>>     
>>>>>> My assumption is :  MN has IP address1 when it is in the 
>>>>>>             
>> network1, 
>>     
>>>>>> communicating with PoS1;
>>>>>>                                     MN has IP address2
>>>>>>         
>>>>>>             
>>>> when it is in
>>>>     
>>>>

---

From: Sam Xia <[email-masked]>
Date: Thu, 16 Aug 2007 09:36:37 +0800

> Sam,
> Ok,  but is not that what an underline mobility protocol 
> should do? For example, if MN uses Mobile IP, do you see any problem? 

It is not a simple problem.  I doubt that there may be some problems if MN
uses mobile ip.   My worry is just that when MIH Service and Mobile IP are
users to each other, what will happen? 
shall be a dead lock or loop lock? we have to think more about this point.

we should pay attention to requirements on mobility and multihoming
clarified by [design-consideration] when we cares latency, jitter,
congestion, efficiency etc.
Should we summary the transport scenarios for mobility and multihoming?

Carlos, your opinion?

> 
> regards,
> -Subir
> 
> Sam Xia wrote:
> > Hi Subir,
> >
> > How to keep the session (transport layer connect) continuity is the 
> > key aspect for mobility designing.  AFAI, MSTP session 
> connection is 
> > established based on IP address. But the IP address of MN after 
> > handover is different than that of MN before handover. If we do 
> > nothing while handover, I am sure that the MSTP session 
> between MN and 
> > previous PoS  must break no matter which trapsort protocol 
> is used(TCP 
> > or UDP).  How can the MN send De-Regisger message to the 
> previous PoS 
> > based on a broken session connection even though MN knows 
> the IP address of previous PoS.
> > something useful on transport part to meet with mobility 
> requirements, 
> > or we can resort to IP layer protocol else. Or keeping MSTP session 
> > continuity is not necessary; the MIHF can do something 
> useful to meet 
> > with mobitliy requirements by use of new transport connection with 
> > previous PoS at new point of attachment.
> >
> > Reasonable?
> >
> >  Best Regards, Sam Xia
> >
> >   
> >> I am not saying that we do not need de-registration procedure. 
> >> Registration and de-registration, both procedures are 
> defined in the 
> >> specification. We are discussing higher layer transport, 
> so what is 
> >> the problem in sending a de-registration message if  MN 
> remembers the 
> >> previous PoS1?
> >> How MN does

---

From: "Zuniga, Juan Carlos" <[email-masked]>
Date: Thu, 16 Aug 2007 16:34:25 -0400

Hi Sam,

To be honest, I'm a bit confused with some parts of the discussion. 
I'm not sure when you mention a "session" if you refer to a data session
or to the registration with the PoS. If the latter is true, you wouldn't
actually "break" a session unless you sent a de-registration message or
you considered some sort of timeout. Either of these two seems to me
like an MIH problem, and not a transport one. On the other hand, once
you are in the new network you can either re-discover a new PoS or
communicate with the one(s) that you had already discovered.

Jc

-----Original Message-----
From: Sam Xia [mailto:[email-masked]] 
Sent: August 15, 2007 9:37 PM
To: 'Subir Das'; Zuniga, Juan Carlos
Cc: [email-masked]
Subject: RE: [MIPSHOP-MIH-DT] transport requirements on mobility

> should do? For example, if MN uses Mobile IP, do you see any problem? 

It is not a simple problem.  I doubt that there may be some problems if
MN
uses mobile ip.   My worry is just that when MIH Service and Mobile IP
are
users to each other, what will happen? 
shall be a dead lock or loop lock? we have to think more about this
point.

Carlos, your opinion?

---

From: Sam Xia <[email-masked]>
Date: Fri, 17 Aug 2007 09:30:31 +0800

> I'm not sure when you mention a "session" if you refer to a 
> data session or to the registration with the PoS. If the 
> latter is true, you wouldn't actually "break" a session 
> unless you sent a de-registration message or you considered 
> some sort of timeout. Either of these two seems to me like an 
> MIH problem, and not a transport one. On the other hand, once 
> you are in the new network you can either re-discover a new 
> PoS or communicate with the one(s) that you had already discovered.

I mean a data session, which is a just TCP connection, or a pair of UDP
sockets that are both identified by IP 5 tuples.  when handover happens and
IP configuration changes, maybe MN want to continue to communicate with PoS
at previous network.  At this time, we have to re-establish tcp connection
or re-create UDP sockets so that mn can communicate with pos at previsous
network.  I think that it is a transport issue. You don't think so?(BTW,  Do
you think that Mobile IP is designed not to solve transportation issue?)

On the other hand, we can deal with this kind of issue in differnent ways,
for example, based on MIH users, or on MSTP, or on anything else. But which
one is best? I prefer that we should deal with this issue based on MSTP. My
reason is following:

1: MIH users are mobility management protocol which are faciliated by MIHF.
Apparently it is not good that MIHF would RE-ASK MIH users for
facilicitation REVERSELY.
2: MIH Servie/MIHF itself should care only MoS (ES,CS,IS)related issue, not
mobility/multihoming issue which are transportation issue.
3: MSTP has the capability to deal with this issue.

views?